ch.qos.logback.core.joran.action

## Class ActionConst

- java.lang.Object
- - ch.qos.logback.core.joran.action.ActionConst

    public abstract class ActionConst
    extends Object

This class contains costants used by other Actions.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static String` `ACTION_CLASS_ATTRIBUTE`
`static String` `ADDITIVITY_ATTRIBUTE`
`static String` `APPENDER_BAG`
`static String` `APPENDER_TAG`
`static String` `CONVERSION_WORD_ATTRIBUTE`
`static String` `CONVERTER_CLASS_ATTRIBUTE`
`static String` `INHERITED`
`static String` `LEVEL_ATTRIBUTE`
`static String` `NULL`
`static String` `PATTERN_ATTRIBUTE`
`static String` `REF_ATTRIBUTE`
`static String` `VALUE_ATTR`

### Constructor Summary

Constructors
Constructor and Description
`ActionConst()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### APPENDER_TAG

    public static final String APPENDER_TAG

See Also:
  Constant Field Values

#### REF_ATTRIBUTE

    public static final String REF_ATTRIBUTE

See Also:
  Constant Field Values

#### ADDITIVITY_ATTRIBUTE

    public static final String ADDITIVITY_ATTRIBUTE

See Also:
  Constant Field Values

#### LEVEL_ATTRIBUTE

    public static final String LEVEL_ATTRIBUTE

See Also:
  Constant Field Values

#### CONVERTER_CLASS_ATTRIBUTE

    public static final String CONVERTER_CLASS_ATTRIBUTE

See Also:
  Constant Field Values

#### CONVERSION_WORD_ATTRIBUTE

    public static final String CONVERSION_WORD_ATTRIBUTE

See Also:
  Constant Field Values

#### PATTERN_ATTRIBUTE

    public static final String PATTERN_ATTRIBUTE

See Also:
  Constant Field Values

#### VALUE_ATTR

    public static final String VALUE_ATTR

See Also:
  Constant Field Values

#### ACTION_CLASS_ATTRIBUTE

    public static final String ACTION_CLASS_ATTRIBUTE

See Also:
  Constant Field Values

#### INHERITED

    public static final String INHERITED

See Also:
  Constant Field Values

#### NULL

    public static final String NULL

See Also:
  Constant Field Values

#### APPENDER_BAG

    public static final String APPENDER_BAG

See Also:
  Constant Field Values

### Constructor Detail

#### ActionConst

    public ActionConst()